Handling error in Promises

Boopathi Rajaa legend.raju at gmail.com
Tue Jan 13 03:35:58 PST 2015


```
Promise
  .resolve()
  .then(function(){
    throw new Error('asdf');
  });
```

Bluebird: (errors thrown - Good)
http://jsbin.com/kahuzi/1/edit?html,js,console

native ES6:(errors not thrown)
http://jsbin.com/qivobibowa/3/edit?html,js,console

Shouldn't all Uncaught errors be thrown, instead of catching it inside the
promise only ? For example, If I use Promise within a promise, the uncaught
error in the inner Promise will never be exposed to the outside world and
there is no way to bubble it up to the outside blocks.

`.catch(function(err) { throw err; }) `

will also be caught and nothing would be thrown.

- Boopathi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.mozilla.org/pipermail/es-discuss/attachments/20150113/987a9af8/attachment.html>


More information about the es-discuss mailing list